<?php
/*
 * Developer: Michael Jacky
 * Team site: http://vnextensions.com/
 * Support: http://support.vnextensions.com/
 * 
 */
class Glace_Glacesys_Model_Module_Info_Package extends Glace_Glacesys_Model_Module_Info_Xml_Abstract
{
    /**
     * @var string
     */
    protected $_pathSuffix = Glace_Glacesys_Model_Module::PACKAGE_FILE;
    
    /**
     * @return string
     */
    public function getVersion()
    {
        return (string)$this->version;
    }
    
    /**
     * @return string
     */
    public function getPlatform()
    {
        return strtolower((string)$this->platform);
    }
    
    /**
     * @return string
     */
    public function getSerial()
    {
        return (string)$this->license;
    }
    
    /**
     * @return string
     */
    public function getLabel()
    {
        return (string)$this->product;
    }
    
    /**
     * @return int
     */
    public function getProductId()
    {
        return (int)$this->product_id;
    }
}